import { Action, PolicyRoute, PolicyRouteHandler, PolicyRouter, ResolvePolicyInput, Resource, Subject } from '../types';
/**
 * The SlugPolicyRouter stores routes in a key-value map.
 *
 * The key is generated like this:
 * `${subject.type}_${resource.type}_${action.type}`
 */
export declare class SlugPolicyRouter implements PolicyRouter {
    private routes;
    constructor(routes?: {
        [key: string]: PolicyRoute;
    });
    route(subject: Subject, action: Action, resource: Resource, handler: PolicyRouteHandler): void;
    resolve({ subject, action, resource }: ResolvePolicyInput): PolicyRoute | null;
    private getKey;
}
